# Uses of Class
net.sourceforge.jiu.apps.Strings

Packages that use Strings
Package
Description
net.sourceforge.jiu.apps
net.sourceforge.jiu.gui.awt
net.sourceforge.jiu.gui.awt.dialogs
net.sourceforge.jiu.util

## Uses of Strings in net.sourceforge.jiu.apps

Fields in net.sourceforge.jiu.apps declared as Strings
Modifier and Type
Field
Description
`private Strings`
EditorState.`strings`
Methods in net.sourceforge.jiu.apps that return Strings
Modifier and Type
Method
Description
`Strings`
EditorState.`getStrings()`
Returns the Strings object currently in use.
`Strings`
StringLoader.`load()`
Methods in net.sourceforge.jiu.apps with parameters of type Strings
Modifier and Type
Method
Description
`static String`
ImageDescriptionCreator.`getDescription(PixelImage image, Locale locale, Strings strings)`
Returns a description of the argument image using the language as specified by the argument locale's two-letter language code.

## Uses of Strings in net.sourceforge.jiu.gui.awt

Methods in net.sourceforge.jiu.gui.awt with parameters of type Strings
Modifier and Type
Method
Description
`private Menu`
AwtMenuWrapper.`createMenu(Strings strings, int stringIndex)`
`static String`
AwtInfo.`getAwtInfo(Strings strings)`
Returns information on the current AWT settings, regarding the current language by using a `Strings` resource.
`private void`
AwtMenuWrapper.`init(Strings strings)`
Initializes an object of type MenuBar.
`void`
AwtMenuWrapper.`updateLabels(Strings strings)`
Sets the label text of all MenuItem objects to new values using the argument Strings information.
Constructors in net.sourceforge.jiu.gui.awt with parameters of type Strings
Modifier
Constructor
Description
``
`AwtMenuWrapper(Strings strings, ActionListener actionListener)`
Internally creates a MenuBar object and provides methods to update that menu bar.

## Uses of Strings in net.sourceforge.jiu.gui.awt.dialogs

Fields in net.sourceforge.jiu.gui.awt.dialogs declared as Strings
Modifier and Type
Field
Description
`private Strings`
ReduceGrayscaleDialog.`strings`
`private Strings`
UniformPaletteQuantizerDialog.`strings`
Constructors in net.sourceforge.jiu.gui.awt.dialogs with parameters of type Strings
Modifier
Constructor
Description
``
`CropDialog(Frame owner, Strings strings, int width, int height)`
``
`GammaCorrectionDialog(Frame owner, Strings strings, double initialValue, double maxGamma)`
Creates a GammaCorrectionDialog.
``
`HueSaturationValueDialog(Frame owner, Strings strings, boolean initialSetHue, int h, int s, int v)`
``
`MapToArbitraryPaletteDialog(Frame owner, Strings strings)`
``
`MedianCutDialog(Frame owner, Strings strings, int numColors, int representativeColorMethod, boolean paletted, int numPasses, double initialTau)`
Creates a modal dialog to enter the parameter.
``
`OctreeDialog(Frame owner, Strings strings, int numColors, boolean paletted)`
Creates a modal dialog to enter the parameter.
``
`ReduceGrayscaleDialog(Frame owner, Strings strings, int bits, int maxBits, int ditheringMethodSelection)`
Creates a modal dialog to enter the parameters.
``
`ScaleDialog(Frame owner, Strings strings, int width, int height, boolean pickType, String[] typeNames, int initialType)`
Creates an InfoDialog, a modal dialog to display a text message, centered on the desktop.
``
`ShearDialog(Frame owner, Strings strings, double initialValue, int imageWidth, int imageHeight)`
Creates a ShearDialog.
``
`UniformPaletteQuantizerDialog(Frame owner, Strings strings, int redBits, int greenBits, int blueBits, int ditheringMethodSelection)`
Creates a modal dialog to enter the parameter.
``
`WindowSizeDialog(Frame owner, Strings strings, int titleIndex, int initialWidth, int initialHeight)`
``
`YesNoDialog(Frame owner, Strings strings, int titleIndex, int questionIndex, boolean includeCancel)`
Creates a new YesNoDialog object and shows it centered on the screen.

## Uses of Strings in net.sourceforge.jiu.util

Methods in net.sourceforge.jiu.util with parameters of type Strings
Modifier and Type
Method
Description
`static String`
SystemInfo.`getMemoryInfo(Strings strings)`
`static String`
SystemInfo.`getSystemInfo(Strings strings)`
Returns a multiple-line text with information on the Java Virtual Machine, the path settings and the operating system used, regarding the current language by using a `Strings` resource.